> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get status and limits for the client

> Retrieve the authenticated client's account status, resource quotas, and usage limits.
Shows current plan, available resources, and any active restrictions.



## OpenAPI

````yaml /api-reference/services_documented/fastedge_api.yaml get /fastedge/v1/me
openapi: 3.1.0
info:
  title: Gcore OpenAPI – FastEdge API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: '2026-05-15T06:37:28.230198+00:00'
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - description: Application templates
    name: FastEdge Templates
    x-displayName: Templates
  - description: Client-level settings and limits
    name: FastEdge Clients
    x-displayName: Clients
  - description: >-
      Apps are descriptions of edge apps, that reference the binary and may
      contain app-specific settings, such as environment variables.
    name: Apps
    x-displayName: Apps
  - description: >-
      Binaries are WebAssembly executables that are actually executed when app
      is ran.
    name: Binaries
    x-displayName: Binaries
  - description: Statistics of edge app use
    name: Stats
    x-displayName: Stats
  - description: Secret values that can be used in apps
    name: FastEdge Secrets
    x-displayName: Secrets
  - description: Key-value edge storage for apps
    name: Edge Storage
    x-displayName: Edge Storage
paths:
  /fastedge/v1/me:
    get:
      tags:
        - FastEdge Clients
      summary: Get status and limits for the client
      description: >-
        Retrieve the authenticated client's account status, resource quotas, and
        usage limits.

        Shows current plan, available resources, and any active restrictions.
      operationId: getClientMe
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/client'
          description: Returns current client status, limits, and quota information
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error'
          description: Bad request
      x-codeSamples:
        - lang: Python
          source: |-
            import os
            from gcore import Gcore

            client = Gcore(
                api_key=os.environ.get("GCORE_API_KEY"),  # This is the default and can be omitted
            )
            client = client.fastedge.get_account_overview()
            print(client.plan_id)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/G-Core/gcore-go\"\n\t\"github.com/G-Core/gcore-go/option\"\n)\n\nfunc main() {\n\tclient := gcore.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tclient, err := client.Fastedge.GetAccountOverview(context.TODO())\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", client.PlanID)\n}\n"
components:
  schemas:
    client:
      required:
        - status
        - hourly_consumption
        - daily_consumption
        - app_count
        - monthly_consumption
        - networks
        - plan_id
      type: object
      properties:
        status:
          type: integer
          description: |-
            Status code:  
            1 - enabled  
            2 - disabled  
            5 - suspended
          minimum: 1
          maximum: 5
        hourly_consumption:
          type: integer
          description: Actual number of calls for all apps during the current hour
        daily_consumption:
          type: integer
          description: Actual number of calls for all apps during the current day (UTC)
        app_count:
          type: integer
          description: Actual allowed number of apps
        monthly_consumption:
          type: integer
          description: >-
            Actual number of calls for all apps during the current calendar
            month (UTC)
        networks:
          type: array
          description: List of enabled networks
          items:
            $ref: '#/components/schemas/network'
        plan_id:
          type: integer
          format: int64
          description: Plan ID
        plan:
          readOnly: true
          type: string
          description: Plan name
    error:
      type: object
      required:
        - error
      properties:
        error:
          type: string
          description: Error message
    network:
      type: object
      required:
        - name
        - is_default
      properties:
        name:
          type: string
          description: Network name
          minLength: 1
          maxLength: 64
          pattern: ^[a-z0-9][a-z0-9_-]*[a-z0-9]$
        is_default:
          type: boolean
          description: Is network is default
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````